Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.definition.rule
Interface Query

All Superinterfaces:
  KnowledgeDefinition

    public interface Query

extends KnowledgeDefinition

Public Query interface for runtime query inspection.

Nested Class Summary

Nested classes/interfaces inherited from interface org.drools.definition.KnowledgeDefinition
`KnowledgeDefinition.KnowledgeType`

Method Summary
`String` | `getMetaAttribute(String key)` Deprecated.
`Map<String,Object>` | `getMetaAttributes()` Deprecated.
`Map<String,Object>` | `getMetaData()` Returns an immutable Map of all meta data attributes associated with this query object.
`String` | `getName()` Returns this query's name.
`String` | `getPackageName()` Returns the package name (namespace) this query is tied to.
`Collection<String>` | `listMetaAttributes()` Deprecated.

Methods inherited from interface org.drools.definition.KnowledgeDefinition
`getId, getKnowledgeType, getNamespace`

Method Detail

### getPackageName

    String getPackageName()

  Returns the package name (namespace) this query is tied to.

  Returns:
    the package name.

### getName

    String getName()

  Returns this query's name.

  Returns:
    the query name

### getMetaData

    Map<String,Object> getMetaData()

  Returns an immutable Map of all meta data attributes associated with this query object.

  Returns:
    an immutable Map of meta data attributes.

### listMetaAttributes

    @Deprecated
    Collection<String> listMetaAttributes()

  Deprecated.

  This method is deprecated. Please use `getMetaAttributes()` instead.

  Returns:
    a collection with all the meta attribute keys associated with this Query.

### getMetaAttributes

    @Deprecated
    Map<String,Object> getMetaAttributes()

  Deprecated.

  Returns an immutable Map of all meta attributes associated with this query object.

  Returns:
    an immutable Map of meta attributes.

### getMetaAttribute

    @Deprecated
    String getMetaAttribute(String key)

  Deprecated.

  Returns the value of the meta attribute identified by the "key"

  Parameters:
    `key` - the meta attribute key
  Returns:
    the meta attribute value or null if there is no value for that key.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.